# Generated by Django 4.1.4 on 2023-01-23 15:57

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('dcim', '0167_module_status'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DeviceGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80, unique=True)),
                ('description', models.CharField(default=None, max_length=80)),
                ('vlans', models.CharField(default='[]', max_length=300)),
                ('community_string', models.CharField(default='', max_length=80)),
                ('portsec_max', models.IntegerField(default=8)),
                ('devices', models.ManyToManyField(related_name='device_groups', to='dcim.device')),
            ],
            options={
                'verbose_name': 'Device Group',
                'verbose_name_plural': 'Device Groups',
            },
        ),
        migrations.CreateModel(
            name='ChangeLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('date', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('interface', models.CharField(default='', editable=False, max_length=80)),
                ('component', models.CharField(editable=False, max_length=80)),
                ('before', models.CharField(editable=False, max_length=80)),
                ('after', models.CharField(editable=False, max_length=80)),
                ('device', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='dcim.device')),
                ('device_group', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='portmanager.devicegroup')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Change Log',
                'verbose_name_plural': 'Changes Log',
                'ordering': ['-date'],
            },
        ),
    ]
